﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MathParser
{
    public class DescriptionAttribute : Attribute
    {
        public DescriptionAttribute(int pPriority, int pOperators, params string[] pDescription) : base()
        {
            this.Description = pDescription;
            this.Priority = pPriority;
            this.Operators = pOperators;
        }
        public string[] Description { get; private set; }
        public int Priority { get; private set; }
        public int Operators { get; private set; }
    }
}
