﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MathParser
{
    public static class Symboltable
    {
        static Symboltable()
        {
            idDict = new Dictionary<string, Tuple<double,bool>>();
        }
        private static Dictionary<string, Tuple<double, bool>> idDict;
        public static bool AddID(string pID, double pValue, bool pReadOnly)
        {
            pID = pID.ToLower();
            if (!idDict.ContainsKey(pID))
            {
                idDict.Add(pID, new Tuple<double,bool>(pValue, pReadOnly));
                return true;
            }
            else if (!idDict[pID].Item2)
            {
                idDict.Remove(pID);
                idDict.Add(pID, new Tuple<double, bool>(pValue, pReadOnly));
                return true;
            }
            return false;
        }
        public static void Clear()
        {
            idDict.Clear();
        }
        public static double GetID(string pID)
        {
            pID = pID.ToLower();
            if (!idDict.ContainsKey(pID))
                return 0;
            return idDict[pID].Item1;
        }
    }
}
